﻿namespace ProjectLainer.Generics
{
    internal class LainersCollectionInfo : IEquatable<LainersCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public LainersCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }
        public bool Equals(LainersCollectionInfo? other)
        {
            if(other!= null)
            {
                return this.Name == other.Name;
            }
            return false;
        }
    }
}
